# WooCommerce GoCardless Gateway

This is a feature plugin for accepting payments via [GoCardless](https://gocardless.com/).

## Dependencies

- WooCommerce

## Development

### Install dependencies & build

- `npm install`

Use `npm run build` to create .zip archive with extension files for testing on other sites.

## Setup

Install the following plugins on your dev site:

- WooCommerce

## Test account setup

You can create a user on [gocardless.com](https://gocardless.com) for live transactions and [on the sandbox](https://manage-sandbox.gocardless.com/) for test transactions. When you first set up a site, you’ll be prompted to create a user for the correct GoCardless environment when setting up the webhooks.

## Run E2E Tests

### Prerequisites

- Create a [sandbox GoCardless](https://manage-sandbox.gocardless.com/) account for test transactions.

### Dependencies for Local Testing

- Add sandbox GoCardless credentials to the `.env` file, which can be found in the `./tests/e2e/config` directory.

```
GOCARDLESS_EMAIL=********
GOCARDLESS_PASSWORD=********
```

### Run E2E Tests Locally

1. Run `npm install`.
2. Run `npx playwright install`.
3. Run `npm run env:install-plugins`
4. Run `npm run env:start`  (Note: Please start Docker before executing this command).
5. Add environment variables to the `/tests/e2e/config/.env` file (as mentioned above).
6. Run `npm run test:e2e-local`.

### Run E2E Tests in the Pull Request

- Add the `needs: e2e testing` label to the pull request; it will initiate the E2E test GitHub action to run tests against the PR.

### Compatibility

This extension is compatible with:

- [Woo Subscriptions](https://woo.com/products/woocommerce-subscriptions/)
