/**
 * External dependencies
 */
import { getSetting } from '@woocommerce/settings';

/**
 * GoCardless data comes from the server passed on a global object.
 */
export const getGoCardlessServerData = () => {
	const goCardlessServerData = getSetting('gocardless_data', null);
	if (!goCardlessServerData) {
		throw new Error('GoCardless initialization data is not available');
	}
	return goCardlessServerData;
};
